CLASS GREG_DAY(3)

NAME
boost::gregorian::greg_day - Represent a day of the month (range 1 - 31)

SYNOPSIS

// In header: <boost/date_time/gregorian/greg_day.hpp>
class greg_day {
public:
  // construct/copy/destruct
  greg_day(unsigned short);
  // public member functions
  unsigned short as_number() const;
  operator unsigned short() const;
};

DESCRIPTION

This small class allows for simple conversion an integer value into a day of the month for a standard gregorian calendar. The type is automatically range checked so values outside of the range 1-31 will cause a bad_day_of_month exception

  greg_day public construct/copy/destruct

    1.

    greg_day(unsigned short day_of_month);

  greg_day public member functions

    1.

    unsigned short as_number() const;

    2.

    operator unsigned short() const;